﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration;
using System.Data.Entity.ModelConfiguration.Configuration;
using System.Data.Entity.Infrastructure;
using System.ComponentModel.DataAnnotations;
using System.Collections.ObjectModel;

namespace jQueryDemos.Models
{
    [Table("movies")]
    public class Movie
    {
        [Column("movie_id"), Key()]
        public int ID { get; set; }

        [Column("title")]
        public string Title { get; set; }

        [Column("release_date")]
        public DateTime ReleaseDate { get; set; }

        
        public virtual Collection<Review> Reviews { get; set; }
    }
}